"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const controlQuestions = require("../questions/edit/controls");
const nameQuestions = require("../questions/edit/name");
const variableQuestion = require("../questions/edit/variables");
function edit(visConfig) {
    return __awaiter(this, void 0, void 0, function* () {
        const choices = ['Controls', 'Name', 'Variables'];
        const { editOption } = yield inquirer.prompt([
            {
                choices,
                message: 'What would you like to edit?:',
                name: 'editOption',
                type: 'list',
            },
        ]);
        switch (editOption) {
            case 'Controls':
                visConfig.controls = yield controlQuestions.prompt(visConfig.controls || []);
                break;
            case 'Name':
                visConfig.name = yield nameQuestions.prompt(visConfig.name || '');
                break;
            case 'Variables':
                visConfig.variables = yield variableQuestion.prompt(visConfig.variables || []);
                break;
        }
        const { chartEdit } = yield inquirer.prompt([
            {
                default: false,
                message: 'Would you like to make additional edits?:',
                name: 'chartEdit',
                type: 'confirm',
            },
        ]);
        return chartEdit ? edit(visConfig) : visConfig;
    });
}
exports.edit = edit;
