"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const ora = require("ora");
const prettyjson = require("prettyjson");
const requests_1 = require("../requests");
function listCustomVisualizations(config) {
    const spinner = ora('Fetching custom charts').start();
    return requests_1.visualizations
        .getCustom(config)
        .then(customVisualizations => {
        spinner.succeed();
        console.log(prettyjson.render(lodash_1.sortBy(customVisualizations.map(vis => vis.name), name => name.toLowerCase())));
    })
        .catch(error => {
        spinner.fail();
        console.log(prettyjson.render(error));
        return Promise.reject(error);
    });
}
exports.ls = listCustomVisualizations;
