"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const requests_1 = require("../requests");
const utilities_1 = require("../utilities");
function push(dir, serverConfig, log) {
    return __awaiter(this, void 0, void 0, function* () {
        const visConfig = yield utilities_1.readVisualizationConfig(dir);
        const requestBody = JSON.stringify(Object.assign({}, visConfig, { type: visConfig.type || 'CUSTOM', components: [
                {
                    name: 'visualization.js',
                    type: 'text/javascript',
                    body: fs.readFileSync(path.resolve(dir, 'visualization.js'), 'utf8'),
                },
            ] }));
        const visualization = yield requests_1.visualizations.getByName(visConfig.name || '', serverConfig);
        if (visualization === null) {
            log(`Creating chart: ${visConfig.name}`);
            yield requests_1.visualizations.create(requestBody, serverConfig);
        }
        else {
            log(`Updating chart: ${visualization.name}`);
            yield requests_1.visualizations.update(visualization.id, requestBody, serverConfig);
        }
    });
}
exports.push = push;
