"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const chokidar = require("chokidar");
const lodash_1 = require("lodash");
const push_1 = require("./push");
function watch(dir, config, log) {
    const debouncedPush = lodash_1.debounce((filename) => __awaiter(this, void 0, void 0, function* () {
        try {
            yield push_1.push(path.dirname(filename), config, log);
        }
        catch (error) {
            log(error.message);
        }
    }), 1000);
    chokidar
        .watch([path.resolve(dir, 'visualization.js'), path.resolve(dir, 'visualization.json')])
        .on('change', debouncedPush)
        .on('error', log);
}
exports.watch = watch;
