#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const prettyjson = require("prettyjson");
const utilities_1 = require("./utilities");
const edit_1 = require("./commands/edit");
program
    .description("Edit a custom chart's controls, name, and/or variables")
    .option('-d, --dir [path/to/source/files]', 'Directory used to look for the chart to push.')
    .parse(process.argv);
let { dir } = program.opts();
dir = dir || './';
run().catch((error) => {
    console.log(prettyjson.render(error));
});
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        const visualizationConfig = yield utilities_1.readVisualizationConfig(dir);
        const visualizationJson = yield edit_1.edit(visualizationConfig);
        utilities_1.writeVisualizationConfig(dir, visualizationJson);
    });
}
