#!/usr/bin/env node
"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const config_1 = require("./commands/config");
const ls_1 = require("./commands/ls");
const utilities_1 = require("./utilities");
program
    .description('List custom charts')
    .option('-u, --user [user:password]', 'Specify the user name and password to use for server authentication.', utilities_1.parseCredentials)
    .option('-a, --app [URL]', 'Specify the Composer application server URL (e.g. https://myserver/composer)', utilities_1.parseUrl)
    .parse(process.argv);
const options = __rest(program.opts(), []);
const config = config_1.getConfig(options);
if (!config.application || config.application instanceof Error || !config.username) {
    program.help();
    process.exit(1);
}
else {
    ls_1.ls(config).catch(() => {
        process.exit(1);
    });
}
