#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const prettyjson = require("prettyjson");
const config_1 = require("./commands/config");
const rm_1 = require("./commands/rm");
const utilities_1 = require("./utilities");
program
    .description('Remove a custom chart from the Composer server')
    .option('-a, --app [URL]', 'Specify the Composer application server URL (e.g. https://myserver/composer)', utilities_1.parseUrl)
    .option('-u, --user [user:password]', 'Specify the user name and password to use for server authentication.', utilities_1.parseCredentials)
    .parse(process.argv);
const config = config_1.getConfig(program.opts());
if (!config.application || config.application instanceof Error || !config.username) {
    program.help();
    process.exit(1);
}
else {
    rm_1.rm(config).catch((error) => {
        console.log(prettyjson.render(error));
        process.exit(1);
    });
}
