#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const program = require("commander");
const packageJson = require('../package.json');
const currentVersion = packageJson.version;
// Add a 'Composer' Header to the console output
console.log(`  ${chalk_1.default.green.bold.inverse(' Composer Chart CLI ')}`);
program
    .version(currentVersion)
    .description('A CLI tool to manage Composer Custom Charts')
    .command('config', "Set-up an encrypted configuration of Composer's server URL and admin credentials")
    .command('edit', "Edit a custom chart's controls, name, and/or variables")
    .command('import', 'Add a custom chart to the Composer server')
    .command('init', 'Bootstrap a new chart')
    .command('ls', 'List custom charts')
    .command('push', 'Push the current state of the chart to the Composer server')
    .command('rm', 'Remove a custom chart or library from the Composer server')
    .command('watch', 'Watch for changes in custom chart files and update them in the Composer server')
    .parse(process.argv);
// if program was called with no arguments, show help.
if (program.args.length === 0) {
    program.help();
}
