"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
function prompt(visualizationControls) {
    return __awaiter(this, void 0, void 0, function* () {
        const choices = [
            {
                name: 'Chart Style',
                value: 'UberStyle',
            },
            {
                name: 'Color',
                value: 'Color',
            },
            {
                name: 'Configure',
                value: 'Configure',
            },
            {
                name: 'Configure Raw',
                value: 'ConfigureRaw',
            },
            {
                name: 'Export',
                value: 'Download',
            },
            {
                name: 'Filters',
                value: 'Filters',
            },
            {
                name: 'Info',
                value: 'Info',
            },
            {
                name: 'Rulers',
                value: 'Rulers',
            },
            {
                name: 'Settings',
                value: 'Settings',
            },
            {
                name: 'Sort & Limit',
                value: 'Sort',
            },
            {
                name: 'Time Player',
                value: 'TimePlayer',
            },
            {
                name: 'Undo',
                value: 'Undo',
            },
            {
                name: 'Publish',
                value: 'Publish',
            },
            {
                name: 'Subscribe',
                value: 'Subscribe',
            },
        ];
        const questions = [
            {
                choices,
                message: 'Select controls to include in the chart:',
                name: 'controls',
                type: 'checkbox',
                default: visualizationControls,
            },
        ];
        const { controls } = yield inquirer.prompt(questions);
        return controls;
    });
}
exports.prompt = prompt;
