"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const group_1 = require("../common/group");
function prompt(varOpts) {
    return __awaiter(this, void 0, void 0, function* () {
        const { attributeType, colorFlag } = yield inquirer.prompt(group_1.questions);
        const groupType = attributeType.length === 1 && attributeType.includes('TIME') ? 'time' : 'attribute';
        const variableDef = Object.assign({}, varOpts, {
            attributeType,
            groupType,
            type: 'group',
        });
        if (colorFlag) {
            const config = {
                autoShowColorLegend: false,
                colorGroupIndex: 0,
                groupColorSet: 'ZoomPalette',
            };
            Object.assign(variableDef, { config });
        }
        return variableDef;
    });
}
exports.prompt = prompt;
