"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const ungrouped_1 = require("../common/ungrouped");
function prompt(varOpts) {
    return __awaiter(this, void 0, void 0, function* () {
        const { fieldCount } = yield inquirer.prompt(ungrouped_1.questions);
        const groupLevels = parseInt(fieldCount, 10);
        const fieldQuestions = [];
        for (let i = 1; i <= groupLevels; i++) {
            fieldQuestions.push({
                message: `Enter a name to identify field ${i}:`,
                name: `fieldName.${i}`,
                type: 'input',
            });
        }
        fieldQuestions.push({
            default: 1000,
            message: 'Enter a limit for number of records to retrieve:',
            name: 'limit',
            type: 'input',
            validate: (value) => typeof parseInt(value, 10) === 'number' && parseInt(value, 10) >= 0 && parseInt(value, 10) <= 1000000,
        });
        const { fieldName, limit } = yield inquirer.prompt(fieldQuestions);
        const fieldNames = [];
        for (let i = 1; i <= groupLevels; i++) {
            fieldNames.push(fieldName[i]);
        }
        return Object.assign({}, varOpts, { config: {
                groupLevel: groupLevels,
                groupNames: fieldNames,
                limit: parseInt(limit, 10),
            }, type: 'ungrouped' });
    });
}
exports.prompt = prompt;
