"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const group_1 = require("../../common/group");
function prompt(variable) {
    return __awaiter(this, void 0, void 0, function* () {
        group_1.questions[0].default = variable.attributeType.length > 1 ? 0 : 1;
        group_1.questions[1].default = !!variable.config;
        const { attributeType, colorFlag } = yield inquirer.prompt(group_1.questions);
        const newVariable = Object.assign({}, variable, { attributeType });
        if (colorFlag) {
            const config = {
                autoShowColorLegend: false,
                colorGroupIndex: 0,
                groupColorSet: 'ZoomPalette',
            };
            Object.assign(newVariable, { config });
        }
        else {
            delete newVariable.config;
        }
        return newVariable;
    });
}
exports.prompt = prompt;
