"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const attributeQuestions = require("./attribute");
const boolQuestions = require("./bool");
const colorQuestions = require("./color");
const floatQuestions = require("./float");
const groupQuestions = require("./group");
const integerQuestions = require("./integer");
const metricQuestions = require("./metric");
const multiGroupQuestions = require("./multi-group");
const multiMetricQuestions = require("./multi-metric");
const multiListQuestions = require("./multilist");
const singleListQuestions = require("./singlelist");
const stringQuestions = require("./string");
const textQuestions = require("./text");
const ungroupedQuestions = require("./ungrouped");
function prompt(variable) {
    return __awaiter(this, void 0, void 0, function* () {
        switch (variable.type) {
            case 'attribute':
                return attributeQuestions.prompt(variable);
            case 'bool':
                return boolQuestions.prompt(variable);
            case 'color':
                return colorQuestions.prompt(variable);
            case 'float':
                return floatQuestions.prompt(variable);
            case 'group':
                return groupQuestions.prompt(variable);
            case 'integer':
                return integerQuestions.prompt(variable);
            case 'metric':
                return metricQuestions.prompt(variable);
            case 'multi-group':
                return multiGroupQuestions.prompt(variable);
            case 'multi-metric':
                return multiMetricQuestions.prompt(variable);
            case 'multilist':
                return multiListQuestions.prompt(variable);
            case 'singlelist':
                return singleListQuestions.prompt(variable);
            case 'string':
                return stringQuestions.prompt(variable);
            case 'text':
                return textQuestions.prompt(variable);
            case 'ungrouped':
                return ungroupedQuestions.prompt(variable);
        }
    });
}
exports.prompt = prompt;
