"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const metric_1 = require("../../common/metric");
function prompt(variable) {
    return __awaiter(this, void 0, void 0, function* () {
        metric_1.questions[0].default = variable.metricType === 'color';
        const { colorFlag } = yield inquirer.prompt(metric_1.questions);
        if (colorFlag) {
            return Object.assign({}, variable, { colorNumb: 3, colorSet: 'ZoomSequential', defaultValue: [
                    {
                        colorConfig: {
                            autoShowColorLegend: true,
                        },
                        name: 'count',
                    },
                ], legendType: 'palette', metricType: 'color' });
        }
        else {
            const newVariable = Object.assign({}, variable, { defaultValue: [
                    {
                        name: 'count',
                    },
                ], colorNumb: 0 });
            delete newVariable.colorSet;
            delete newVariable.legendType;
            delete newVariable.metricType;
            return newVariable;
        }
    });
}
exports.prompt = prompt;
