"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const singlelist_1 = require("../../common/singlelist");
function prompt(variable) {
    return __awaiter(this, void 0, void 0, function* () {
        singlelist_1.questions[0].default = variable.values.length;
        const answers = yield inquirer.prompt(singlelist_1.questions);
        const itemNumber = parseInt(answers.itemNumber, 10);
        const itemQuestions = [];
        for (let i = 1; i <= itemNumber; i++) {
            itemQuestions.push({
                message: `Enter a name to identify item ${i}:`,
                name: `itemName.${i}`,
                type: 'input',
            });
        }
        const itemAnswers = yield inquirer.prompt(itemQuestions);
        const itemNames = [];
        for (let i = 1; i <= itemNumber; i++) {
            itemNames.push(itemAnswers.itemName[i]);
        }
        const defaultQuestion = [
            {
                choices: itemNames,
                message: 'Select a default value from the list:',
                name: 'defaultValue',
                type: 'list',
            },
        ];
        const { defaultValue } = yield inquirer.prompt(defaultQuestion);
        return Object.assign({}, variable, { defaultValue, values: itemNames });
    });
}
exports.prompt = prompt;
