"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const addQuestions = require("./add");
const editQuestions = require("./edit");
const list_1 = require("./list");
const removeQuestions = require("./remove");
function prompt(visualizationVariables) {
    return __awaiter(this, void 0, void 0, function* () {
        const choices = [
            {
                name: 'Add a new variable',
                value: 'Add',
            },
            {
                name: 'Edit a variable',
                value: 'Edit',
            },
            {
                name: 'List variables',
                value: 'List',
            },
            {
                name: 'Remove a variable',
                value: 'Remove',
            },
        ];
        const questions = [
            {
                choices,
                message: 'Select an option from the following list:',
                name: 'editOption',
                type: 'list',
            },
        ];
        const { editOption } = yield inquirer.prompt(questions);
        switch (editOption) {
            case 'Add':
                return addQuestions.prompt(visualizationVariables);
            case 'Edit':
                return editQuestions.prompt(visualizationVariables);
            case 'List':
                list_1.listVariables(visualizationVariables);
                return visualizationVariables;
            case 'Remove':
                return removeQuestions.prompt(visualizationVariables);
        }
    });
}
exports.prompt = prompt;
