"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const stripAnsi = require("strip-ansi");
const utilities_1 = require("../../../utilities");
function prompt(visualizationVariables) {
    return __awaiter(this, void 0, void 0, function* () {
        const tableRows = utilities_1.getVariablesTableRows(visualizationVariables);
        const questions = [
            {
                message: 'Select the variable you would like to remove:',
                name: 'variableToRemove',
                type: 'list',
                choices: [
                    new inquirer.Separator(tableRows[0]),
                    new inquirer.Separator('-'.repeat(stripAnsi(tableRows[0]).length)),
                    ...tableRows.slice(1).map((row, index) => ({
                        name: row,
                        short: visualizationVariables[index].name,
                        value: visualizationVariables[index],
                    })),
                ],
            },
            {
                default: false,
                message: 'Are you sure you would like to remove this variable?:',
                name: 'confirm',
                type: 'confirm',
            },
        ];
        const { variableToRemove, confirm } = yield inquirer.prompt(questions);
        if (confirm) {
            return visualizationVariables.filter((variable) => variable !== variableToRemove);
        }
        else {
            return visualizationVariables;
        }
    });
}
exports.prompt = prompt;
