import styles from './index.css';

/**
 * Global controller object is described on Composer knowledge base
 * @see https://www.zoomdata.com/developers/docs/custom-chart-api/controller/
 */

/* global controller */

/**
 * @see http://www.zoomdata.com/developers/docs/custom-chart-api/creating-chart-container/
 */
const chartContainer = document.createElement('div');
chartContainer.classList.add(styles.chartContainer);
controller.element.appendChild(chartContainer);

const { query, variables } = controller;

/**
 * Construct raw query
 * NOTE: Following piece of code is going to be removed from the template in future
 */
query
    .set([query.PROPERTIES.AGGREGATE], false)
    .unset([query.PROPERTIES.AGGREGATE_FILTERS])
    .set(['limit'], 10)
    .unset([query.PROPERTIES.DIMENSIONS])
    .unset([query.PROPERTIES.METRICS])
    .set(
        [query.PROPERTIES.FIELDS],
        getAvailableFields(controller.getAllFields(), variables['Columns'])
    );

/**
 * @see http://www.zoomdata.com/developers/docs/custom-chart-api/receiving-chart-data/
 */
controller.update = data => {
    chartContainer.textContent = data.join('\r\n');
};

function getAvailableFields(allFields, columns) {
    return columns
        .filter(column => {
            const field = allFields.find(f => f.name === column.name);
            return field && field.visible;
        })
        .map(obj => {
            return {
                type: 'FIELD',
                field: { name: obj.name }
            };
        });
}
